Skocz do zawartości
  • Ogłoszenia

  • Gdzie świętować urodziny GMCLANu   27 użytkowników zagłosowało

    1. 1. Gdzie świętować urodziny GMCLANu


      • Warszawa (bo w centrum)
      • Szczecin (bo tam mieszka Ranma i narodził się GMCLAN)

    Żeby zagłosować w tej ankiecie, prosimy się zalogować lub zarejestrować. Zobacz temat
  • 0
MaxGaming

GMS a android SDK

Pytanie

MaxGaming    0

Witam serdecznie,

w android SDK mam do wyboru wersję androida których jak dobrze rozumiem SDK chce pobrać(SDK Manager). Jakie wersje wybrać? Czy wybranie najnowszej oznacza kompatybilność wsteczną? Jeśli nie to czy jak wybiorę no. 4.4, 2.1, 2.3, 6.0 to jak użytkownik ma android np. 2.2 albo 4.3 7.0 itp to mu nie będzie aplikacja działać? Jak wybrałem wszystkie wersje to pobrało mi KILKADZIESIĄT GB DANYCH(ponad 30GB) aż skończyło się miejsce na dysku bo nie skończyło pobierać... Jakieś wskazówki?

 

@e: problem numer dwa:

Screenshot_2017_05_28_23_50_22_7.png

Przy włączeniu i skonfigurowaniu YoYo runnera gdy uruchomie w GMS debugowanie takie coś wywala... Oczywiście debugging przez WiFI chodzi...

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

3 odpowiedzi na to pytanie

Rekomendowane odpowiedzi

  • 0
Fervi     0

w android SDK mam do wyboru wersję androida których jak dobrze rozumiem SDK chce pobrać(SDK Manager). Jakie wersje wybrać? Czy wybranie najnowszej oznacza kompatybilność wsteczną? Jeśli nie to czy jak wybiorę no. 4.4, 2.1, 2.3, 6.0 to jak użytkownik ma android np. 2.2 albo 4.3 7.0 itp to mu nie będzie aplikacja działać? Jak wybrałem wszystkie wersje to pobrało mi KILKADZIESIĄT GB DANYCH(ponad 30GB) aż skończyło się miejsce na dysku bo nie skończyło pobierać... Jakieś wskazówki?

 

Na stronie yoyogames masz listę co pobrać i to zrób. Gry działają od 2.3 w górę. Tak, trochę to zajmuje; jak ci miejsca brakuje włącz kompresję NTFS

 

Fervi

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach
  • 0
MaxGaming    0

Tak, ale na tej stronie nie pisze jakie wersje pobrać. Czyli wszystkie od 2.3 w górę mam pobrać?

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach
  • 0
gnysek    34

wszystko jest:

 

GMS 1.4

 

https://help.yoyogames.com/hc/en-us/article...-and-NDK-setup-

https://help.yoyogames.com/hc/en-us/article...Version-Support

 

Android / Amazon Fire

 

Android SDK (scroll down to the command line tools only, not the Android Studio download)

 

Build Tools: 24+

APIs Required: 23+ (However add in whatever your extensions require too)

Support Library: 23.2.1+

Support Repository: 35+

(Please note: Support libraries are not listed on SDK Manager anymore, you can find them here: \extras\android\m2repository\com\android\support\support-v4)

 

Android NDK (32/64 Bit depends on your OS)

 

Stable/Beta/Early Access: 12b

Java JDK

 

Stable/Beta/Early Access: 1.8 "8u102" (32/64 Bit depends on your OS)

 

GMS 2

 

https://help.yoyogames.com/hc/en-us/article...-Up-For-Android

https://help.yoyogames.com/hc/en-us/articles/227860547

 

Android (setup guide here)

 

Android SDK Tools 25.2.5

Android 7.1.1 (API 25) (SDK Platform, Google APIs)

Android NDK 14b (64bit)

JDK 8u131 (64bit)

Suggested Option Settings

 

Build Tools - 25.0.2

Support Library - 25.3.1

Target SDK - 25

Min SDK - 9

Compile SDK - 25

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

Jeśli chcesz dodać odpowiedź, zaloguj się lub zarejestruj nowe konto

Tylko zarejestrowani użytkownicy mogą komentować zawartość tej strony.

Zarejestruj nowe konto

Załóż nowe konto. To bardzo proste!

Zarejestruj się

Zaloguj się

Posiadasz już konto? Zaloguj się tutaj.

Zaloguj się tutaj

  • Przeglądający   0 użytkowników

    Brak zarejestrowanych użytkowników, przeglądających tę stronę.

×